import { Config } from '../Config';
import { Output } from '../index';
import { Args, Stages } from '../types/common';
import { GraphcoolDefinition } from 'graphcool-json-schema';
import { Environment } from '../Environment';
export declare class GraphcoolDefinitionClass {
    out: Output;
    config: Config;
    definition?: GraphcoolDefinition;
    typesString?: string;
    rawStages: Stages;
    secrets: string[] | null;
    private definitionString;
    constructor(out: Output, config: Config);
    load(env: Environment, args: Args, envPath?: string): Promise<void>;
    getToken(serviceName: string, stageName: string): string | undefined;
    getStage(name: string, throws?: boolean): string | undefined;
    setStage(name: string, clusterName: string): void;
    insertToDefinition(file: string, key: string, insertion: string): string;
    save(): void;
    private getTypesString(definition);
    private ensureOfClusters(definition, env);
    private resolveStageAliases;
    private resolveStage;
    readonly default: string | null;
}
