import { Output } from './index';
import { Config } from './Config';
import { Args } from './types/common';
import { Cluster } from './Cluster';
import { InternalRC } from './types/rc';
export declare class NewEnvironment {
    out: Output;
    config: Config;
    args: Args;
    activeCluster: Cluster;
    globalRC: InternalRC;
    clusters: Cluster[];
    platformToken?: string;
    constructor(out: Output, config: Config);
    load(args: Args): Promise<void>;
    setToken(token: string | undefined): void;
    addCluster(cluster: Cluster): void;
    private loadGlobalRC();
    private loadYaml(file, filePath?);
    private getClustersFromRC(rc);
    private initClusters(rc);
    private getSharedClusters(rc);
    private saveGlobalRC();
    private getLocalClusterConfig();
}
